Runtime

## org.eclipse.gmf.runtime.draw2d.ui.figures
Class PolylineConnectionEx.JumpLink

    java.lang.Object
      org.eclipse.gmf.runtime.draw2d.ui.figures.PolylineConnectionEx.JumpLink

Enclosing class:
  PolylineConnectionEx

protected class PolylineConnectionEx.JumpLink
extends java.lang.Object

Inner class for storing the specific JumpLink information.

Field Summary
`int` `m_nDistance` distance along the polyline
`int` `m_nHeight` height of the jump link
`int` `m_nWidth` width of the jump link
`Point` `m_ptIntersect` intersection point value

Constructor Summary
`protected` `PolylineConnectionEx.JumpLink()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_ptIntersect

    public Point m_ptIntersect

  intersection point value

### m_nWidth

    public int m_nWidth

  width of the jump link

### m_nHeight

    public int m_nHeight

  height of the jump link

### m_nDistance

    public int m_nDistance

  distance along the polyline

Constructor Detail

### PolylineConnectionEx.JumpLink

    protected PolylineConnectionEx.JumpLink()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.